Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004710OCamlOCamlbuild (the tool)public2009-02-05 15:282011-05-29 12:20
Reportermwipliez 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.11.2+dev 
Summary0004710: Ocamlbuild always rebuilds myocamlbuild.ml on Windows
DescriptionIf you have a plug-in for Ocamlbuild on Windows, Ocamlbuild will re-build the plug-in every time you invoke it. This does not happen on Linux. It seems to me that this is due to the way Ocamlbuild evaluates the need to recompile the plugin.

In file plugin.ml, line 33, the value "we_have_a_plugin" is defined as follows:
  let we_have_a_plugin = sys_file_exists (!Options.build_dir/plugin)

This is used line 55 to check whether the plugin should be rebuilt:
  if a && b && c && we_have_a_plugin then
    () (* Up to date *)
  else...

But on Windows executables have the ".exe" extension, therefore I believe that "we_have_a_plugin" should be defined this way:
  let we_have_a_plugin = sys_file_exists (!Options.build_dir/plugin) || sys_file_exists (!Options.build_dir/plugin ^ ".exe")
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004833)
mwipliez (reporter)
2009-02-05 15:44

I just tested the above proposed solution, and it works perfectly :)
(0005006)
mwipliez (reporter)
2009-06-25 11:31

Hi,

could you tell me if this issue has been looked into?
It appears to be present in OCaml 3.11.1 too.

Cheers,
Matthieu

- Issue History
Date Modified Username Field Change
2009-02-05 15:28 mwipliez New Issue
2009-02-05 15:44 mwipliez Note Added: 0004833
2009-03-28 18:12 xleroy Status new => assigned
2009-03-28 18:12 xleroy Assigned To => ertai
2009-06-25 11:31 mwipliez Note Added: 0005006
2009-12-07 12:10 xclerc Status assigned => resolved
2009-12-07 12:10 xclerc Fixed in Version => 3.11.2+dev
2009-12-07 12:10 xclerc Resolution open => fixed
2011-05-29 12:20 xleroy Status resolved => closed
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker